Bug 89282 - Incorrect UTMP entry
Incorrect UTMP entry
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-21 23:51 EDT by Phil Anderson
Modified: 2014-08-31 19:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-22 06:10:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Phil Anderson 2003-04-21 23:51:30 EDT
Description of problem:
Samba adds incorrect utmp entry.  Samba puts the IP address of the host in the
hostname field, and puts 0.0.0.0 in the IP address field.

How reproducible:
100%

Steps to Reproduce:
1. Add utmp=Yes to your smb.conf
2. Log login to the machine through samba
3. run 'last -i |head'
    
Actual results:
0.0.0.0 is in the IP field
IP is in the Hostname field

Expected results:
10.0.0.1 is in the IP field
host.example.com is in the hostname field

Additional info:
Probably an upstream bug, but is causing problems for my server usage accounting
scripts.
Comment 1 Andrew Bartlett 2003-05-23 06:31:27 EDT
Fixed in Samba 3.0 alpha.  The IP is now recorded in both by default.  If
'hostname lookups' is set in the smb.conf, then we will show the reverse DNS. 
(Off by default becouse most samba installations don't have correct DNS)

Note You need to log in before you can comment on or make changes to this bug.